//
//  FILE NAME:
//      GameSkeletonAppUi.cpp
//
//  AUTHOR(S):
//      Rafal Kocisz <rafal.kocisz@gmail.com>
//

#include "GameSkeleton.pan"
#include "GameSkeletonAppUi.h"
#include "GameSkeletonContainer.h"

#include <aknnotewrappers.h>
#include <avkon.hrh>
#include <gameskeleton.rsg>
#include <stringloader.h>

void CGameSkeletonAppUi::ConstructL()
    {
    BaseConstructL();

    CAknAppUiBase::SetFullScreenApp( ETrue );
    CAknAppUi::SetKeyBlockMode( ENoKeyBlock );

    iAppContainer
        = new ( ELeave ) CGameSkeletonContainer;
    iAppContainer->ConstructL( ApplicationRect() );

    AddToStackL( iAppContainer );
    }

CGameSkeletonAppUi::CGameSkeletonAppUi()
    {
    }

CGameSkeletonAppUi::~CGameSkeletonAppUi()
    {
    if ( iAppContainer )
        {
        RemoveFromStack( iAppContainer );
        delete iAppContainer;
        }
    }

void CGameSkeletonAppUi::HandleCommandL( TInt aCommand )
    {
    switch ( aCommand )
        {
        case EEikCmdExit:
        	{
        	Exit();
        	break;
        	}
        default: break;
        }
    }

TKeyResponse CGameSkeletonAppUi::HandleKeyEventL(
    const TKeyEvent& /*aKeyEvent*/,
    TEventCode /*aType*/ )
    {
    return EKeyWasNotConsumed;
    }

// Eof
