//
//  FILE NAME:
//      GameSkeletonDocument.cpp
//
//  AUTHOR(S):
//      Rafal Kocisz <rafal.kocisz@gmail.com>
//

#include "GameSkeletonAppUi.h"
#include "GameSkeletonDocument.h"

CGameSkeletonDocument* CGameSkeletonDocument::NewL(
    CEikApplication& aApp )
    {
    CGameSkeletonDocument* self = NewLC( aApp );
    CleanupStack::Pop( self );
    return self;
    }

CGameSkeletonDocument* CGameSkeletonDocument::NewLC(
    CEikApplication& aApp )
    {
    CGameSkeletonDocument* self
        = new ( ELeave ) CGameSkeletonDocument( aApp );
    CleanupStack::PushL( self );
    self->ConstructL();
    return self;
    }

void CGameSkeletonDocument::ConstructL()
    {
    }

CGameSkeletonDocument::CGameSkeletonDocument(
    CEikApplication& aApp )
    : CAknDocument( aApp )
    {
    }

CGameSkeletonDocument::~CGameSkeletonDocument()
    {
    }

CEikAppUi* CGameSkeletonDocument::CreateAppUiL()
    {
    return ( static_cast< CEikAppUi* >(
        new ( ELeave ) CGameSkeletonAppUi ) );
    }

// Eof
